$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.20-beta-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.20-beta-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = '25255786335B18E61AA00349607C8CB34EE04EACD66E10F7A18A199C2E31A745'
  checksum64    = '084B7796022F880A152931E504C40C7C936629950D991E989194E272302BD391'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Desktop UI" -PathType 'Machine'
